
QGIS Application - Bug report #4108

Switching from new to old polygon symbology then back again ends up with polyline symbology

2011-07-22 04:16 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 14090

Description

Using new symbology, style a polygon layer with only an "Outline: ..." style.

Switch the layer to old symbology and do not apply the changes.

Switch back to new symbology - the dialogue now gives the options for a polyline layer, not a polygon layer!

Click "Apply" - the layer will now be invisible!

BTW, is the "outline" style really necessary?  Can't you achieve the same result with the simple "fill" style?

History

#1 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-05-22 12:58 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

No longer relevant
